<?php
defined('_JEXEC') or die('Restricted access');

class plgJshoppingProductsJSocial_Share extends JPlugin{
    
    private $locale;
    
    public function __construct(&$subject, $config = array()) {
        parent::__construct($subject, $config);
        
        $lang = JFactory::getLanguage();
        $this->locale = $lang->getTag();
        
        $document = JFactory::getDocument();
        //$document->addStyleSheet(JURI::root(true).'/plugins/jshoppingproducts/jsocial_share/jsocial_share.css');
        $document->addStyleSheet(JURI::root(true).'/plugins/jshoppingproducts/jsocial_share/css/shariff.complete.css');
    }

    public function onAfterDisplayProduct(&$product) {
        $doc = JFactory::getDocument();
        $doc->addScript( JURI::root(true).'/plugins/jshoppingproducts/jsocial_share/js/shariff.complete.js' );
    }    
    
    public function onBeforeDisplayProductView(&$view) {  
        $jshopConfig = JSFactory::getConfig();
        $doc = JFactory::getDocument();
        $product = $view->product;
        $name_product = htmlentities($product->name, ENT_QUOTES, "UTF-8");
        $ogurl = '<meta property="og:url" content="'.JURI::current().'"/>';
        //$ogtype = '<meta property="og:type" content="website"/>';
        $ogtitle = '<meta property="og:title" content="'.$name_product.'"/>';
        $doc->addCustomTag($ogurl);
        //$doc->addCustomTag($ogtype);
        $doc->addCustomTag($ogtitle);
        if ($product->image){
            $ogimage = '<meta property="og:image" content="'.$jshopConfig->image_product_live_path.'/'.$product->image.'"/>';
            $doc->addCustomTag($ogimage);
        }
        if ($product->description){
            $ogdescription = '<meta property="og:description" content="'.(strip_tags($product->description)).'"/>';
            $doc->addCustomTag($ogdescription);
        }

        $uri = JURI::getInstance();
        //$url = $uri->getScheme() ."://" . $uri->getHost() . $uri->getPath();
		$url = '//'.$uri->getHost().$uri->getPath();
        $view->product->product_full_image = getPatchProductImage($view->product->image, 'full');


        if ($this->params->get("facebookShareButton", 1)){
            $supportsSocials[] = '&quot;facebook&quot;';
        }
        if ($this->params->get("pinterestButton", 1)){
            $supportsSocials[] = '&quot;pinterest&quot;'; 
        }
        if ($this->params->get("twitterButton", 1)){
            $supportsSocials[] = '&quot;twitter&quot;';
        }
        if($this->params->get("plusButton")) {
            $supportsSocials[] = '&quot;googleplus&quot;';
        }
        if ($this->params->get("vkShareButton", 1)){
            $supportsSocials[] = '&quot;vk&quot;';
        }


        $supportsSocials = implode(',', $supportsSocials);
        $localisationArr = ["bg","de","en","es","fi","hr","hu","ja","ko","no","pl","pt","ro","ru","sk","sl","sr","sv","tr","zh"];
        $colorThemesArr = ['standard', 'grey', 'white'];
        $buttonsOrientation = ['horizontal', 'vertical'];

        $_tmp_product_html = '<div class="shariff" data-title="'.$name_product.'" data-backend-url="/plugins/jshoppingproducts/jsocial_share/shariff" data-info-url="https://www.webdesigner-profi.de/" data-lang="' . $localisationArr[$this->params->get("localisation", 1)] . '"  data-services="[' . $supportsSocials . ']" data-theme="' . $colorThemesArr[$this->params->get('colorTheme', 0)] . '" data-orientation="' . $buttonsOrientation[$this->params->get('buttonsOrientation')] . '"> </div>';

        
        switch ($this->params->get('position', 2)) {
            case 1 :
                $view->_tmp_product_html_start = $_tmp_product_html.$view->_tmp_product_html_start;
                break;
            case 3 :
                $view->_tmp_product_html_end = $_tmp_product_html.$view->_tmp_product_html_end;
                break;
            default:
                $view->_tmp_product_html_after_buttons = $_tmp_product_html.$view->_tmp_product_html_after_buttons;
                break;    
        }

    }

}